[v-cloak] {
  display: none;
}

.kc-br {
  margin-top: 5px;
}

@media screen and (max-width: 767px) {
  .u-mobile {
    display: block;
  }

  .u-desktop {
    display: none !important;
  }
}

@media screen and (min-width: 768px) {
  .u-mobile {
    display: none !important;
  }

  .u-desktop {
    display: block;
  }
}

/* kcevents.js以外のcss調整 */

/* topページ */

.kc-contents {
  position: relative;
}

.kc-title {
  margin: 0px 0px 10px;
  color: rgb(32, 164, 184);
  font-size: 18px;
  font-weight: normal;
  letter-spacing: 2px;
}

.kc-eventLink {
  position: absolute;
  top: 20px;
  right: 30px;
}

.kc-eventLink a {
  display: block;
  width: 120px;
  padding: 4px 0px;
  color: rgb(255, 255, 255);
  font-weight: bold;
  text-align: center;
  background: rgb(75, 87, 94);
}

.kc-cards {
  width: 100%;  
  /* display: flex;
  flex-wrap: wrap; */
}

.kc-card {
  width: 25%;
  /* margin-right: 40px; */
  margin-left: 5px;
  margin-right: 5px;
  padding: 9px;
  border: 1px solid transparent;
  transition: 0.3s;
}

.kc-card:hover {
  transition: 0.3s;
  border: 1px solid #20a4b8;
  opacity: 0.8;
}

.kc-catgory.hidden {
  display: none;
}

.kc-link:hover {
  text-decoration: none;
}

.kc-card:nth-child(4n) {
  /* margin-right: 0; */
}

.kc-image {
  position: relative;
}

.kc-image::before {
  content: "";
  display: block;
  padding-top: 75%;
}

.kc-image img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.kc-tags {
  display: flex;
  flex-wrap: wrap;
  margin-top: 10px;
}

.kc-type,
.kc-format,
.kc-price{
  padding: 0 5px;
  height: 15px;
  line-height: 16px;
  margin-bottom: 3%;
  font-size: 10px;
}

.kc-type {
  background-color: #20a4b8;
  border: 1px solid #20a4b8;
  color: #fff;
  margin-right: 5px;
}

.kc-format {
  border: 1px solid #20100c;
  margin-right: 5px;
}

.kc-price {
  color: #fff;
  background-color: #20a4b8;
  border: 1px solid #20a4b8;
}

.kc-name {
  display: -webkit-box;
  overflow: hidden;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  line-height: 1.6;
}

.kc-address {
  display: -webkit-box;
  overflow: hidden;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  margin-top: -2px;
}

.kc-date {
  margin-top: 2px;
}

/* slickの矢印設定 */

#kcapp .slick-track {
  margin-left: 0!important;
}


#kcapp .slick-arrow:before {
  content: "" !important;
  width: 25px !important;
  height: 25px !important;
  position: absolute;
  top: 0;
  left: 0;
}

#kcapp .slick-next:before {
  background: url(/assets/img/arrow-right.png) !important;
  background-size: contain !important;
}

#kcapp .slick-prev:before {
  background: url(/assets/img/arrow-left.png) !important;
  background-size: contain !important;
}

#kcapp .slick-next {
  right: -25px;
  z-index: 2;
}

#kcapp .slick-prev {
  left: -30px;
  z-index: 2;
}

@media screen and (max-width: 768px) {
  .kc-contents {
    padding: 15px 0 5px;
  }

  .kc-contents h2{
    padding-left: 15px;
  }

  #kcapp .slick-track {
    margin-left: auto!important;
  }

  .kc-cards {
    margin: 0 calc(50% - 50vw);
  }

  .kc-card {
    padding: 0;
    margin-left: 15px;
    margin-right: 15px;
  }
  #kcapp .slick-next {
    right: calc(50% - 36%);
  }

  #kcapp .slick-prev {
    left: calc(50% - 37%);
  }
}

@media screen and (max-width: 499px) {
  #kcapp .slick-next {
    right: calc(50% - 37%);
  }

  #kcapp .slick-prev {
    left: calc(50% - 38%);
  }
}

/* イベントページ */
.kc-card-e {
  border: 1px solid transparent;
  transition: 0.3s;
}

.kc-card-e:hover {
  border: 1px solid #20a4b8;
  opacity: 0.8;
  transition: 0.3s;
}

.kc-link-e:hover {
  text-decoration: none;
}

.kc-card-e:not(:first-child) {
  margin-top: 30px;
}

.kc-block-e {
  display: flex;
  width: 100%;
  background-color: #fff;
}

.kc-image-e {
  width: 35%;
}

.kc-info-e {
  width: 65%;
  padding: 15px 25px;
}

.kc-tags-e {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
}

.kc-type-e,
.kc-format-e,
.kc-price-e {
  padding: 0 10px;
  height: 25px;
  line-height: 26px;
  margin-bottom: 3%;
  font-size: 14px;
}

.kc-type-e {
  color: #fff;
  margin-right: 8px;
}

.kc-type.black,
.kc-type-e.black {
  background-color: #3a444e;
  border: 1px solid #3a444e;
}

.kc-type.green,
.kc-type-e.green {
  background-color: #009e44;
  border: 1px solid #009e44;
}

.kc-type.blue,
.kc-type-e.blue {
  background-color: #20a4b8;
  border: 1px solid #20a4b8;
}

.kc-format-e {
  border: 1px solid #38444f;
  margin-right: 8px;
}

.kc-price-e {
  color: #fff;
  background-color: #20a4b8;
  border: 1px solid #20a4b8;
}

.kc-name-e {
  display: -webkit-box;
  overflow: hidden;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  line-height: 1.6;
  font-size: 22px;
}

.kc-date-e {
  font-size: 16px;
  margin-top: 5px;
}

.kc-line-e {
  width: 100%;
  height: 1px;
  background-color: #e9e9e9;
  margin-top: 10px;
}

.kc-description-e {
  font-size: 14px;
  margin-top: 10px;
}

@media screen and (max-width: 768px) {
  .kc-block-e {
    display: block;
  }

  .kc-image-e {
    width: 100%;
  }

  .kc-info-e {
    width: initial;
    padding: 10px;
  }

  .kc-type-e,
  .kc-format-e,
  .kc-price-e {
    padding: 0 5px;
    height: 20px;
    line-height: 21px;
    margin-bottom: 2%;
    font-size: 12px;
  }

  .kc-name-e {
    font-size: 18px;
    margin-top: 5px;
  }

  .kc-date-e {
    font-size: 14px;
  }

  .kc-description-e {
    font-size: 12px;
  }
}
